"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
Protocol buffers to store the gene-to-phenotype links extracted from ClinVar."""

import builtins
import clinvar_data.pbs.extracted_vars_pb2
import collections.abc
import google.protobuf.descriptor
import google.protobuf.internal.containers
import google.protobuf.message
import typing

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor

@typing.final
class GenePhenotypeRecord(google.protobuf.message.Message):
    """A record linking gene to phenotype."""

    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    VCV_FIELD_NUMBER: builtins.int
    SCV_FIELD_NUMBER: builtins.int
    GERMLINE_CLASSIFICATION_FIELD_NUMBER: builtins.int
    SUBMITTER_NAME_FIELD_NUMBER: builtins.int
    HGNC_IDS_FIELD_NUMBER: builtins.int
    OMIM_TERMS_FIELD_NUMBER: builtins.int
    MONDO_TERMS_FIELD_NUMBER: builtins.int
    HPO_TERMS_FIELD_NUMBER: builtins.int
    germline_classification: builtins.str
    """Clinical germline classification."""
    submitter_name: builtins.str
    """Submitter"""
    @property
    def vcv(self) -> clinvar_data.pbs.extracted_vars_pb2.VersionedAccession:
        """VCV"""

    @property
    def scv(self) -> clinvar_data.pbs.extracted_vars_pb2.VersionedAccession:
        """SCV"""

    @property
    def hgnc_ids(
        self,
    ) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]:
        """Gene HGNC ID"""

    @property
    def omim_terms(
        self,
    ) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]:
        """Linked OMIM terms"""

    @property
    def mondo_terms(
        self,
    ) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]:
        """Linked MONDO terms"""

    @property
    def hpo_terms(
        self,
    ) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]:
        """Linked HPO terms"""

    def __init__(
        self,
        *,
        vcv: clinvar_data.pbs.extracted_vars_pb2.VersionedAccession | None = ...,
        scv: clinvar_data.pbs.extracted_vars_pb2.VersionedAccession | None = ...,
        germline_classification: builtins.str = ...,
        submitter_name: builtins.str = ...,
        hgnc_ids: collections.abc.Iterable[builtins.str] | None = ...,
        omim_terms: collections.abc.Iterable[builtins.str] | None = ...,
        mondo_terms: collections.abc.Iterable[builtins.str] | None = ...,
        hpo_terms: collections.abc.Iterable[builtins.str] | None = ...,
    ) -> None: ...
    def HasField(
        self, field_name: typing.Literal["scv", b"scv", "vcv", b"vcv"]
    ) -> builtins.bool: ...
    def ClearField(
        self,
        field_name: typing.Literal[
            "germline_classification",
            b"germline_classification",
            "hgnc_ids",
            b"hgnc_ids",
            "hpo_terms",
            b"hpo_terms",
            "mondo_terms",
            b"mondo_terms",
            "omim_terms",
            b"omim_terms",
            "scv",
            b"scv",
            "submitter_name",
            b"submitter_name",
            "vcv",
            b"vcv",
        ],
    ) -> None: ...

global___GenePhenotypeRecord = GenePhenotypeRecord
